> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/12/internals/gin-indexes/built-in-operator-classes.md).

# 66.2. 內建運算子類

主要的 PostgreSQL 版本包括 [Table 64.1](/12/internals/gin-indexes/built-in-operator-classes.md#table-64-1-built-in-gin-operator-classes) 中所示的 GIN 運算子類。（[附錄 F](/12/appendixes/additional-supplied-modules.md) 中描述的一些選用套件提供了額外的 GIN 運算子類。）

## **Table 66.1. Built-in GIN Operator Classes**

| Name             | Indexed Data Type | Indexable Operators |                     |
| ---------------- | ----------------- | ------------------- | ------------------- |
| `array_ops`      | `anyarray`        | `&&` `<@` `=` `@>`  |                     |
| `jsonb_ops`      | `jsonb`           | `?` `?&` \`?        | `` `@> `` `@?` `@@` |
| `jsonb_path_ops` | `jsonb`           | `@>` `@?` `@@`      |                     |
| `tsvector_ops`   | `tsvector`        | `@@` `@@@`          |                     |

在 jsonb 型別的兩個運算子類中，jsonb\_ops 是預設值。jsonb\_path\_ops 支援較少的運算子，但為這些運算子提供了更好的效能。有關詳細訊息，請參閱[第 8.14.4 節](/12/the-sql-language/data-types/json-types.md#8-14-4-jsonbindexing)。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/12/internals/gin-indexes/built-in-operator-classes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
